FAQ

Если вы хотите увидеть на нашем сайте ответы на интересующие вас вопросы обо всём, что связано с техникой Apple, операционной системой Mac OS X (и её запуском на PC), пишите нам через форму обратной связи.

К нам поступил следующий вопрос:

AppStudio, привет!

Вы меня уже несколько раз выручили, надеюсь, что поможете мне еще с одной проблемой. Недавно я обновился на Mountain Lion. Xcode 4.3 на этой системе не работает, я пытаюсь скачать из Mac AppStore свежий Xcode 4.4. Но он не ставится! Пишет «версия OS X слшком новая». Что за дела?

Здравствуйте!

С этим багом столкнулись многие пользователи Xcode, и мы в том числе. В ряде случаев при попытке поставить Xcode 4.4 на компьютер с OS X Mountain Lion, на котором уже стояла какая-либо другая версия Xcode, появляется ошибка, гласящая о том, что установленная версия OS X слишком новая для Xcode. Таким образом, для Xcode 4.4 Mac OS X Lion — «слишком старая» система, а Mountain Lion — уже «слишком новая».

Решить проблему очень просто. Запустите Терминал и выполните 5 команд:

[php]sudo -s
rm ~/Library/Preferences/com.apple.appstore.plist
rm -r ~/Library/Saved\ Application\ State/com.apple.appstore.savedState
rm -r ~/Library/Caches/com.apple.appstore
rm -r /private/var/folders/*/*/*/com.apple.appstore[/php]

После перезапуска приложения Mac App Store вы сможете скачать Xcode 4.4 без каких-либо ошибок.

Поделитесь страницей через социальные сети